import request from '@/utils/request';

//资助办待审核修改人数列表
export function listHigh(query) {
  return request({
    url: '/workstudy/change/listHigh',
    method: 'get',
    params: query
  })
}


export function doAudit(data) {
  return request(({
    url: '/workstudy/change/doAudit',
    method: 'post',
    data
  }))
}


//部门待审核修改人数列表
export function listDept(query) {
  return request({
    url: '/workstudy/change/listDept',
    method: 'get',
    params: query
  })
}

//取消修改申请
export function cancelChange(id) {
  return request({
    url: '/workstudy/change/cancelChange/' + id,
    method: 'post'
  })
}

//学务列出自己的修改设岗人数申请列表
export function listOwnChange(query) {
  return request({
    url: '/workstudy/change/listOwnChange',
    method: 'get',
    params: query
  })
}

export function doChange(data) {
  return request(({
    url: '/workstudy/change/doChange',
    method: 'post',
    data
  }))
}

// 查询勤工助学岗位修改人数列表
export function listChange(query) {
  return request({
    url: '/workstudy/change/list',
    method: 'get',
    params: query
  })
}

// 查询勤工助学岗位修改人数详细
export function getChange(id) {
  return request({
    url: '/workstudy/change/' + id,
    method: 'get'
  })
}

// 新增勤工助学岗位修改人数
export function addChange(data) {
  return request({
    url: '/workstudy/change/add',
    method: 'post',
    data: data
  })
}

// 修改勤工助学岗位修改人数
export function updateChange(data) {
  return request({
    url: '/workstudy/change/update',
    method: 'post',
    data: data
  })
}

// 删除勤工助学岗位修改人数
export function delChange(id) {
  return request({
    url: '/workstudy/change/' + id,
    method: 'post'
  })
}
